> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Owned Pages



## OpenAPI

````yaml /openapi.json get /api/v1/brands/{brand_id}/brand-intelligence/seo-native-create/owned-page-captures
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/brands/{brand_id}/brand-intelligence/seo-native-create/owned-page-captures:
    get:
      tags:
        - SEO and Content Create
      summary: Owned Pages
      operationId: >-
        owned_pages_api_v1_brands__brand_id__brand_intelligence_seo_native_create_owned_page_captures_get
      parameters:
        - name: brand_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Brand Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 50
            minimum: 1
            default: 30
            title: Limit
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Cursor
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NativeCreateOwnedPageCandidatesResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    NativeCreateOwnedPageCandidatesResponse:
      properties:
        items:
          items:
            $ref: '#/components/schemas/NativeCreateOwnedPageCandidate'
          type: array
          maxItems: 100
          title: Items
        nextCursor:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Nextcursor
      additionalProperties: false
      type: object
      title: NativeCreateOwnedPageCandidatesResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    NativeCreateOwnedPageCandidate:
      properties:
        reference:
          $ref: '#/components/schemas/OwnedPageRevisionRef'
        title:
          anyOf:
            - type: string
              maxLength: 500
              minLength: 1
            - type: 'null'
          title: Title
        coverage:
          type: string
          enum:
            - complete
            - excerpt
          title: Coverage
        createdAt:
          type: string
          format: date-time
          title: Createdat
      additionalProperties: false
      type: object
      required:
        - reference
        - coverage
        - createdAt
      title: NativeCreateOwnedPageCandidate
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    OwnedPageRevisionRef:
      properties:
        brandId:
          type: string
          format: uuid
          title: Brandid
        sourceKind:
          type: string
          enum:
            - owned_page_capture
            - native_create_revision
          title: Sourcekind
        revisionId:
          type: string
          format: uuid
          title: Revisionid
        contentHash:
          type: string
          pattern: ^[0-9a-f]{64}$
          title: Contenthash
        canonicalUrl:
          type: string
          maxLength: 2083
          minLength: 1
          format: uri
          title: Canonicalurl
        evidenceRecordId:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Evidencerecordid
      additionalProperties: false
      type: object
      required:
        - brandId
        - sourceKind
        - revisionId
        - contentHash
        - canonicalUrl
      title: OwnedPageRevisionRef
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````